%global upstream_name	LibRaw

# No point in trying to build a debuginfo package since
# the package only has static libraries and find-debuginfo.sh
# does not grok them
%global debug_package %{nil}

Summary: Library for reading RAW files obtained from digital photo cameras
Name: libraw
Version: 0.9.1
Release: 1%{?dist}
License: LGPLv2+ with exceptions
Group: Amusements/Graphics
URL: http://www.libraw.org
BuildRoot: %{_tmppath}/%{upstream_name}-%{version}-%{release}-root

BuildRequires: lcms-devel >= 1.0

Source0: http://www.libraw.org/data/%{upstream_name}-%{version}.tar.gz

# Configuration support. Patch sent upstream
Patch0: libraw-configure.patch

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Provides: libraw-static = %{version}-%{release}
Summary: LibRaw development libraries
Group: Development/Libraries
Requires: lcms-devel >= 1.0

%description devel
LibRaw development libraries

This package contains static libraries that applications can use to build
against libraw. LibRaw does not provide dynamic libraries.

%prep
%setup -q -n %{upstream_name}-%{version}

%patch0 -p1 -b .configure

%build
# This is not the autotools generated configure script
sh configure -l -o -P %{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

# The Libraries
make install DESTDIR=%{buildroot} LIBDIR=%{_lib}

# The documentation
mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}/manual
install -c -m 644 doc/* %{buildroot}%{_docdir}/%{name}-devel-%{version}/manual/
install -c -m 644 LICENSE.CDDL LICENSE.LibRaw.pdf LICENSE.LGPL COPYRIGHT Changelog.txt Changelog.rus \
		%{buildroot}%{_docdir}/%{name}-devel-%{version}/

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root,-)

%dir %{_docdir}/%{name}-devel-%{version}
%dir %{_docdir}/%{name}-devel-%{version}/manual

%{_docdir}/%{name}-devel-%{version}/LICENSE.CDDL
%{_docdir}/%{name}-devel-%{version}/LICENSE.LibRaw.pdf
%{_docdir}/%{name}-devel-%{version}/LICENSE.LGPL
%{_docdir}/%{name}-devel-%{version}/COPYRIGHT
%{_docdir}/%{name}-devel-%{version}/Changelog.txt
%{_docdir}/%{name}-devel-%{version}/Changelog.rus

%{_docdir}/%{name}-devel-%{version}/manual/*

%dir %{_includedir}/libraw
%{_includedir}/libraw/*.h
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%changelog
* Fri Jun 04 2010 Siddhesh Poyarekar <siddhesh.poyarekar@gmail.com> 0.9.1-1
- New package

